<?php

require_once 'Kumulos.php';

// Registering a new user
if (isset($_POST['submit'])) {
    $userData = $_POST['user'];
    $userData['username'] = htmlspecialchars($userData['username']); // Should do proper validation/sanitisation of all user-submitted data
    $userData['password'] = sha1($userData['password']); // Hash the password
    // Handle the upload
    if ($_FILES['mugshot']['error'] === UPLOAD_ERR_OK) {
        $userData['imageData'] = base64_encode(file_get_contents($_FILES['mugshot']['tmp_name']));
    }
    else {
        die($_FILES['mugshot']['error']);
    }
    
    // Call Kumulos
    try {
        // Create the new user
        $newUserID = Kumulos::api()->call('createUser', $userData);
        // Redirect to the view user page
        header('Location: viewUser.php?username=' . urlencode($userData['username']));
    }
    // Handle errors
    catch (kAPIException $e) {
        die($e->getMessage());
    }
}

?>

<!DOCTYPE html>
<html>
    <head>
        <title>MugShot - Kumulos PHP Tutorial</title>
        <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    </head>
    
    <body>
        <h1>MugShot</h1>
        <fieldset>
            <legend>Register Now!</legend>
            <form action="" method="post" enctype="multipart/form-data">
                <label>Username</label>
                <input type="text" name="user[username]" />
                <label>Password</label>
                <input type="password" name="user[password]" />
                <label>Mugshot</label>
                <input type="file" name="mugshot" />
                <input type="submit" name="submit" value="Register!" />
            </form>
        </fieldset>
    </body>
</html>